idevice_connect
idevice_connection_disable_bypass_ssl
idevice_connection_disable_ssl
idevice_connection_enable_ssl
idevice_connection_get_fd
idevice_connection_receive
idevice_connection_receive_timeout
idevice_connection_send
idevice_connection_t
idevice_connection_type
idevice_device_list_extended_free
idevice_device_list_free
IDEVICE_DEVICE_VERSION
idevice_disconnect
idevice_error_t
idevice_event_cb_t
idevice_event_subscribe
idevice_event_type
idevice_event_unsubscribe
idevice_events_subscribe
idevice_events_unsubscribe
idevice_free
idevice_get_device_list
idevice_get_device_list_extended
idevice_get_device_version
idevice_get_handle
idevice_get_udid
idevice_new
idevice_new_with_options
idevice_options
idevice_set_debug_level
idevice_strerror
idevice_subscription_context_t
idevice_t
libimobiledevice_version

## idevice_get_device_version()

unsigned int idevice_get_device_version | ( | idevice_t | device | ) |

Returns the device ProductVersion in numerical form, where "X.Y.Z" will be returned as (X << 16) | (Y << 8) | Z .

Use IDEVICE_DEVICE_VERSION macro for easy version comparison.

See also
  IDEVICE_DEVICE_VERSION

Parameters

  client | Initialized device client

Returns
  A numerical representation of the X.Y.Z ProductVersion string or 0 if the version cannot be retrieved.